// -*- mode: jsonc -*-
{
    // "layer": "top", // Waybar at top layer
    // "position": "bottom", // Waybar position (top|bottom|left|right)
    "height": 30, // Waybar height (to be removed for auto height)
    // "width": 1280, // Waybar width
    "spacing": 4, // Gaps between modules (4px)
    // Choose the order of the modules
    "modules-left": [
    ],
    "modules-center": [
    ],
    "modules-right": [
        "group/expand-3",
        "group/power-group"
    ],
    // Modules configuration
    // "sway/workspaces": {
    //     "disable-scroll": true,
    //     "all-outputs": true,
    //     "warp-on-scroll": false,
    //     "format": "{name}: {icon}",
    //     "format-icons": {
    //         "1": "",
    //         "2": "",
    //         "3": "",
    //         "4": "",
    //         "5": "",
    //         "urgent": "",
    //         "focused": "",
    //         "default": ""
    //     }
    // },
    "keyboard-state": {
        "numlock": true,
        "capslock": true,
        "format": "{name} {icon}",
        "format-icons": {
            "locked": "",
            "unlocked": ""
        }
    },
    "group/expand-3": {
     "orientation": "horizontal",
     "drawer": {
         "transition-duration": 600,
         "children-class": "not-power",
       "transition-to-left": true,
         "click-to-reveal": true
     },
     "modules": ["pulseaudio","pulseaudio/slider"]
   },
"pulseaudio": {
        "format": "{icon}",
      //  "on-click-middle": "eww open audio_menu --toggle --config ~/.config/eww/aud_men/",
        "rotate": 0,
        "format-muted": "婢",
        "tooltip-format": "{icon} {desc} // {volume}%",
        "scroll-step": 5,
        "format-icons": {
            "headphone": "",
            "hands-free": "",
            "headset": "",
            "phone": "",
            "portable": "",
            "car": "",
        "default": ["", "", ""]
    }
},

"pulseaudio/slider": {
    "min": 5,
    "max": 100,
    "rotate": 0,
    "device": "pulseaudio",
    "scroll-step": 1,
     "orientation": "horizontal",
},

"group/group-power": {
    "orientation": "inherit",
    "drawer": {
        "transition-duration": 500,
        "children-class": "not-power",
        "transition-left-to-right": false,
    },
    "modules": [
        "custom/power", // First element is the "group leader" and won't ever be hidden
        "custom/quit",
        "custom/lock",
        "custom/reboot",
    ]
},
"custom/quit": {
    "format": "󰗼",
    "tooltip": false,
    "on-click": "hyprctl dispatch exit"
},
"custom/lock": {
    "format": "󰍁",
    "tooltip": false,
    "on-click": "swaylock"
},
"custom/reboot": {
    "format": "󰜉",
    "tooltip": false,
    "on-click": "reboot"
},
"custom/power": {
    "format": "",
    "tooltip": false,
    "on-click": "shutdown now"
}

}
